Loading...
Searching...
No Matches
pcl::detail::FieldCopier< PointT > Struct Template Reference

Used together with pcl::for_each_type, copies all point fields from cloud_data (respecting each field offset) to msg_data (tightly packed). More...

`#include <pcl/conversions.h>`

## Public Member Functions

| FieldCopier (std::uint8_t *&msg_data, const std::uint8_t *&cloud_data)
template<typename U>
void | operator() ()

## Public Attributes

std::uint8_t *& | msg_data_
const std::uint8_t *& | cloud_data_

## Detailed Description

template<typename PointT>
struct pcl::detail::FieldCopier< PointT >

Used together with pcl::for_each_type, copies all point fields from cloud_data (respecting each field offset) to msg_data (tightly packed).

Definition at line 331 of file conversions.h.

## Constructor & Destructor Documentation

## FieldCopier()

template<typename PointT>

pcl::detail::FieldCopier< PointT >::FieldCopier | ( | std::uint8_t *& | msg_data,
|  | const std::uint8_t *& | cloud_data )

inline

Definition at line 332 of file conversions.h.

References cloud_data_, and msg_data_.

## Member Function Documentation

## operator()()

template<typename PointT>
template<typename U>

void pcl::detail::FieldCopier< PointT >::operator() | ( |  | ) |

inline

Definition at line 334 of file conversions.h.

References cloud_data_, and msg_data_.

## Member Data Documentation

## cloud_data_

template<typename PointT>

const std::uint8_t*& pcl::detail::FieldCopier< PointT >::cloud_data_

Definition at line 340 of file conversions.h.

Referenced by FieldCopier(), and operator()().

## msg_data_

template<typename PointT>

std::uint8_t*& pcl::detail::FieldCopier< PointT >::msg_data_

Definition at line 339 of file conversions.h.

Referenced by FieldCopier(), and operator()().

The documentation for this struct was generated from the following file:

- pcl/conversions.h